Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents
Class PropertyList

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.contents.PropertyList

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

Direct Known Subclasses:
  LayerEntity

    @PDF(value=PDF12)
    public class PropertyList

extends PdfObjectWrapper<PdfDictionary>

Private information meaningful to the program (application or plugin extension) creating the marked content [PDF:1.6:10.5.1].

Since:
  0.1.0
Version:
  0.1.2, 12/28/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Constructor Summary
`` | `PropertyList(Document context, PdfDictionary baseDataObject)`
`protected` | `PropertyList(PdfDirectObject baseObject)`

Method Summary
`PropertyList` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`static PropertyList` | `wrap(PdfDirectObject baseObject)` Wraps the specified base object into a property list object.

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyList

    public PropertyList(Document context,
                        PdfDictionary baseDataObject)

### PropertyList

    protected PropertyList(PdfDirectObject baseObject)

Method Detail

### wrap

    public static PropertyList wrap(PdfDirectObject baseObject)

  Wraps the specified base object into a property list object.

  Parameters:
    `baseObject` - Base object of a property list object.
  Returns:
    Property list object corresponding to the base object.

### clone

    public PropertyList clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfDictionary>`
  Parameters:
    `context` - Which document the clone has to be registered in.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.